<ion-header   *ngIf="profile$ | async as user">
  <ion-toolbar>
    <ion-buttons size="small" slot="start">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Edit Profile</ion-title>
      <ion-button *ngIf="coverDirectory" class="done" style="background-color:none;" slot="end" (click)="startUploadCover()"><ion-icon color="dark" name="checkmark"></ion-icon></ion-button>
  </ion-toolbar>
</ion-header>

<ion-content>
    
<ion-content fullscreen>
  <div *ngIf="profile$ | async as user" >
      <div>
        <form [formGroup]="detail_form" (ngSubmit)="startUpload()">
            <div class="header">
                <div class="cover_photo">
                  <img  [defaultImage] = "'../../../../assets/images/default.png'" [lazyLoad]="coverImage == null ? decode(user.cover_photo) : coverDirectory" alt="" />
                  <ion-button (click)="selectImage()"><ion-icon color="dark" name="camera"></ion-icon></ion-button>
                </div>
            <div class="main_container">
              <div class="profile">
                <ion-avatar>
                  <img [defaultImage] = "'../../../../assets/images/avatar.png'" [lazyLoad]="image === null ? decode(user.image): imageDirectory" alt="" />
                </ion-avatar>
                <div class="fab_button">
                  <ion-fab vertical="bottom" horizontal="center">
                    <ion-fab-button color="danger">
                        <ion-icon name="camera"></ion-icon>
                    </ion-fab-button>
                    <ion-fab-list side="top" (click)="openCam()">
                      <ion-fab-button><ion-icon name="camera"></ion-icon></ion-fab-button>
                    </ion-fab-list>
                    <ion-fab-list side="start" (click)="openGallery()">
                        <ion-fab-button><ion-icon name="images"></ion-icon></ion-fab-button>
                      </ion-fab-list>
                  </ion-fab>
                </div>
              </div>
            </div>
          </div>
          <div class="details ion-padding">
              <ion-grid>
                  <ion-row>
                      <ion-col>
                        <ion-item lines="none">
                          <ion-input
                            formControlName="f_name"
                            placeholder="First Name"
                            type="text"
                          ></ion-input>
                        </ion-item>
                      </ion-col>
                      <ion-col>
                        <ion-item lines="none">
                          <ion-input
                            placeholder="Last Name"
                            type="text"
                            formControlName="l_name"
                          ></ion-input>
                        </ion-item>
                      </ion-col>
                  </ion-row>
                  <ion-row>
                    <ion-col>
                      <ion-item lines="none">
                        <ion-input
                          placeholder="Email"
                          type="email"
                          formControlName="email"
                        ></ion-input>
                      </ion-item>
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>
                        <ion-item lines="none">
                          <ion-textarea formControlName="bio"></ion-textarea>
                        </ion-item>
                    </ion-col>
                </ion-row>
              </ion-grid>
              <ion-button type="submit" shape="round" expand="block">Submit</ion-button>
          </div>
          </form>   
      </div>
  </div>
</ion-content>
</ion-content>
